SPI_SYNC(9)

NAME
spi_sync - blocking/synchronous SPI data transfers

SYNOPSIS

int spi_sync(struct spi_device * spi, struct spi_message * message);

ARGUMENTS

spi
    device with which data will be exchanged

message
    describes the data transfers

CONTEXT

can sleep

DESCRIPTION

This call may only be used from a context that may sleep. The sleep is non-interruptible, and has no timeout. Low-overhead controller drivers may DMA directly into and out of the message buffers.

Note that the SPI device's chip select is active during the message, and then is normally disabled between messages. Drivers for some frequently-used devices may want to minimize costs of selecting a chip, by leaving it selected in anticipation that the next message will go to the same chip. (That may increase power usage.)

Also, the caller is guaranteeing that the memory associated with the message will not be freed before this call returns.

It returns zero on success, else a negative error code.

COPYRIGHT